Users

Update Profile

PUT
/profile/{userId}

Update a user's profile. pronouns, status and statusDescription are written through updateUser instead.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.vrchat.cloud/api/1/profile/usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ageVerificationStatus": "18+",
  "ageVerified": true,
  "backgroundGradientBottom": "3cc92c",
  "backgroundGradientTop": "3cc92c",
  "backgroundTemplateId": "string",
  "backgroundTextureId": "string",
  "backgroundType": "string",
  "badges": [
    {
      "assignedAt": "2019-08-24T14:15:22Z",
      "badgeDescription": "string",
      "badgeId": "bdg_a60e514a-8cb7-4702-8f24-2786992be1a8",
      "badgeImageUrl": "string",
      "badgeName": "string",
      "hidden": true,
      "isQuantifiable": true,
      "showcased": true,
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "bannerColor": "3cc92c",
  "bannerCustomUrl": "string",
  "bannerType": "string",
  "bannerUrl": "string",
  "bio": "string",
  "bioLinks": [
    "string"
  ],
  "currentAvatar": "avtr_912d66a4-4714-43b8-8407-7de2cafbf55b",
  "currentAvatarAuthorName": "string",
  "currentAvatarImageUrl": "https://api.vrchat.cloud/api/1/file/file_ae46d521-7281-4b38-b365-804b32a1d6a7/1/file",
  "currentAvatarName": "string",
  "currentAvatarTags": [
    "string"
  ],
  "currentAvatarThumbnailImageUrl": "https://api.vrchat.cloud/api/1/image/file_aae83ed9-d42d-4d72-9f4b-9f1e41ed17e1/1/256",
  "displayName": "string",
  "groups": {
    "count": 0,
    "list": [
      {
        "iconUrl": "string",
        "id": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
        "name": "string"
      }
    ]
  },
  "hasVrcPlus": true,
  "iconFrame": "string",
  "iconType": "string",
  "iconUrl": "string",
  "id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "isEconomyCreator": true,
  "languages": [
    "string"
  ],
  "nameplateEffect": "string",
  "profileEffect": "string",
  "pronouns": "string",
  "publicWorlds": [
    {
      "authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
      "authorName": "string",
      "capacity": 8,
      "created_at": "2019-08-24T14:15:22Z",
      "defaultContentSettings": {
        "drones": true,
        "emoji": true,
        "pedestals": true,
        "prints": true,
        "props": true,
        "stickers": true
      },
      "disabledPropAbilities": [
        null
      ],
      "favorites": 12024,
      "heat": 5,
      "id": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd",
      "imageUrl": "string",
      "isHypeTrainEligible": true,
      "labsPublicationDate": "none",
      "name": "string",
      "occupants": 47,
      "organization": "vrchat",
      "pendingUpload": true,
      "popularity": 8,
      "previewYoutubeId": "string",
      "publicationDate": "none",
      "recommendedCapacity": 16,
      "releaseStatus": "public",
      "storeId": "esto_713b247d-2b5d-41a0-bba3-50db28dc1498",
      "tags": [
        "string"
      ],
      "thumbnailImageUrl": "string",
      "udonProducts": [
        "prod_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
      ],
      "unityPackages": [
        {
          "created_at": "2019-08-24T14:15:22Z",
          "platform": "standalonewindows",
          "unityVersion": "2022.3.6f1"
        }
      ],
      "updated_at": "2019-08-24T14:15:22Z",
      "visits": 9988675
    }
  ],
  "representedGroup": {
    "bannerUrl": "string",
    "iconUrl": "string",
    "id": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
    "name": "string"
  },
  "status": "active",
  "statusDescription": "string",
  "themeButtonColor": "3cc92c",
  "themeIconColor": "3cc92c",
  "themeId": "string",
  "themeSubtextColor": "3cc92c",
  "themes": [
    null
  ],
  "totalPublicWorldsCount": 0,
  "trustTags": [
    "string"
  ],
  "userIcon": "string",
  "worldFavoriteLists": [
    {
      "count": 0,
      "id": "fvgrp_8a02a44b-dc3a-4a9a-bc77-77fa37996fc7",
      "name": "string",
      "thumbnails": [
        "string"
      ]
    }
  ]
}

{
  "error": {
    "message": "imageUrl must be a URL˸ 'string'‚ assetUrl must be a URL˸ 'string'",
    "status_code": 400
  }
}

{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}